org.eclipse.microprofile.fault.tolerance.tck.interceptor

## Class OrderQueueProducer

- java.lang.Object
- - org.eclipse.microprofile.fault.tolerance.tck.interceptor.OrderQueueProducer

    @ApplicationScoped
    public class OrderQueueProducer
    extends Object

Creates the order queue that will be used by the interceptors and the test bean to store the order in which this components are called.

Author:
  carlosdlr

### Constructor Summary

Constructors
Constructor and Description
`OrderQueueProducer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Queue<String>` `getOrderQueue()` get the order queue that stores the interceptors call order.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OrderQueueProducer

    public OrderQueueProducer()

### Method Detail

#### getOrderQueue

    public Queue<String> getOrderQueue()

get the order queue that stores the interceptors call order.

Returns:
  order queue